<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
PolyhedralCone
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.PolyhedralCone interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="PolyhedralCone";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/polco/PolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco</FONT>
<BR>
Interface PolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;</DD>
</DL>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../ch/javasoft/polco/EqualityPolyhedralCone.html" title="interface in ch.javasoft.polco">EqualityPolyhedralCone</A>&lt;Num,Arr&gt;, <A HREF="../../../ch/javasoft/polco/InequalityPolyhedralCone.html" title="interface in ch.javasoft.polco">InequalityPolyhedralCone</A>&lt;Num,Arr&gt;, <A HREF="../../../ch/javasoft/polco/transform/TransformedPolyhedralCone.html" title="interface in ch.javasoft.polco.transform">TransformedPolyhedralCone</A>&lt;Num,Arr&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../ch/javasoft/polco/impl/AbstractEqualityCone.html" title="class in ch.javasoft.polco.impl">AbstractEqualityCone</A>, <A HREF="../../../ch/javasoft/polco/impl/AbstractInequalityCone.html" title="class in ch.javasoft.polco.impl">AbstractInequalityCone</A>, <A HREF="../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A>, <A HREF="../../../ch/javasoft/polco/impl/DefaultEqualityCone.html" title="class in ch.javasoft.polco.impl">DefaultEqualityCone</A>, <A HREF="../../../ch/javasoft/polco/impl/DefaultInequalityCone.html" title="class in ch.javasoft.polco.impl">DefaultInequalityCone</A>, <A HREF="../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="class in ch.javasoft.polco.impl">DefaultPolyhedralCone</A>, <A HREF="../../../ch/javasoft/polco/transform/TransformedEqualityCone.html" title="class in ch.javasoft.polco.transform">TransformedEqualityCone</A>, <A HREF="../../../ch/javasoft/polco/transform/TransformedInequalityCone.html" title="class in ch.javasoft.polco.transform">TransformedInequalityCone</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.50"><B>PolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
The <code>PolyhedralCone</code> represents a general polyhedral cone 
 <i>P</i> in hyperplane and halfspace representation, that is, 
 <pre>
 P = { A x = 0 , B x &ge; 0 }
 </pre>
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the other object <code>obj</code> is a <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A> 
 instance and if both matrices <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>getB()</CODE></A> of 
 the two cones are equal.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA()">getA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix A corresponding to the equalities in the definition of
 the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">getA</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single number of the equality matrix A</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB()">getB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix B corresponding to the inequalities in the definition 
 of the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">getB</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single number of the inequality matrix B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">getDimensions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number dimensions, that is, the size of the vector x or
 equivalently, the number of columns in A and B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Num</A>,<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the operations object used to perform basic mathematical and
 linear algebra computations on the number type used for this cone</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">getRowCountA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of equalities, that is, the number of rows in A</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">getRowCountB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number inequalities, that is, the number of rows in B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">hashCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a hash code created by combining all values of the matrices 
 <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>getB()</CODE></A> using the XOR function.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#toMultilineString()">toMultilineString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes a verbose string representation of this polyhedral cone using the
 specified <code>writer</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getA()"><!-- --></A><H3>
getA</H3>
<PRE>
<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Arr</A>[] <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.58"><B>getA</B></A>()</PRE>
<DL>
<DD>Returns the matrix A corresponding to the equalities in the definition of
 the polyhedral cone.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a two dimensional array representing the equality matrix, 
                        where the first dimension enumerates rows, the second columns</DL>
</DD>
</DL>
<HR>

<A NAME="getB()"><!-- --></A><H3>
getB</H3>
<PRE>
<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Arr</A>[] <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.66"><B>getB</B></A>()</PRE>
<DL>
<DD>Returns the matrix B corresponding to the inequalities in the definition 
 of the polyhedral cone.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a two dimensional array representing the inequality matrix, 
                        where the first dimension enumerates rows, the second columns</DL>
</DD>
</DL>
<HR>

<A NAME="getA(int, int)"><!-- --></A><H3>
getA</H3>
<PRE>
<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Num</A> <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.70"><B>getA</B></A>(int&nbsp;row,
         int&nbsp;col)</PRE>
<DL>
<DD>Returns a single number of the equality matrix A
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getB(int, int)"><!-- --></A><H3>
getB</H3>
<PRE>
<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Num</A> <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.74"><B>getB</B></A>(int&nbsp;row,
         int&nbsp;col)</PRE>
<DL>
<DD>Returns a single number of the inequality matrix B
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCountA()"><!-- --></A><H3>
getRowCountA</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.78"><B>getRowCountA</B></A>()</PRE>
<DL>
<DD>Returns the number of equalities, that is, the number of rows in A
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCountB()"><!-- --></A><H3>
getRowCountB</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.82"><B>getRowCountB</B></A>()</PRE>
<DL>
<DD>Returns the number inequalities, that is, the number of rows in B
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDimensions()"><!-- --></A><H3>
getDimensions</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.87"><B>getDimensions</B></A>()</PRE>
<DL>
<DD>Returns the number dimensions, that is, the size of the vector x or
 equivalently, the number of columns in A and B
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLinAlgOperations()"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
<A HREF="../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Num</A>,<A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="type parameter in PolyhedralCone">Arr</A>&gt; <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.92"><B>getLinAlgOperations</B></A>()</PRE>
<DL>
<DD>Returns the operations object used to perform basic mathematical and
 linear algebra computations on the number type used for this cone
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hashCode()"><!-- --></A><H3>
hashCode</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.98"><B>hashCode</B></A>()</PRE>
<DL>
<DD>Returns a hash code created by combining all values of the matrices 
 <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>getB()</CODE></A> using the XOR function.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
boolean <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.106"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD>Returns true if the other object <code>obj</code> is a <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A> 
 instance and if both matrices <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getA()"><CODE>A</CODE></A> and <A HREF="../../../ch/javasoft/polco/PolyhedralCone.html#getB()"><CODE>getB()</CODE></A> of 
 the two cones are equal.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeToMultiline(java.io.Writer)"><!-- --></A><H3>
writeToMultiline</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.134"><B>writeToMultiline</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer)</PRE>
<DL>
<DD>Returns a verbose string representation of this polyhedral cone, 
 including the matrix values and spanning multiple lines.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 }
 A = 7x2 {
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ 0 , -3 ]
   [ -1 , -1/2 ]
   [ 1/2 , -1/2 ]
 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toMultilineString()"><!-- --></A><H3>
toMultilineString</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.163"><B>toMultilineString</B></A>()</PRE>
<DL>
<DD>Writes a verbose string representation of this polyhedral cone using the
 specified <code>writer</code>. The output includes the matrix values and spans
 multiple lines.
 <p>
 If both matrices are non-empty, the written string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 }
 A = 7x2 {
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ 0 , -3 ]
   [ -1 , -1/2 ]
   [ 1/2 , -1/2 ]
 }
 B = 5x2 {
   [ 0 , -3 ]
   [ 1 , 1 ]
   [ -1 , 1 ]
   [ 1/2 , -1/2 ]
   [ 1 , 1 ]
 }
 </pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/polco/PolyhedralCone.html#line.175"><B>toString</B></A>()</PRE>
<DL>
<DD>Returns a short string representation of this polyhedral cone, without
 matrix values, but including matrix dimensions.
 <p>
 If both matrices are non-empty, the returned string looks for instance as 
 follows:
 <pre>
 P = { A x = 0 , B x >= 0 , A:7x2 , B:5x2 }
 </pre>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/polco/PolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
